/*
    Copyright (c) 2005-2024 Leisenfels GmbH. All rights reserved.
    Use is subject to license terms.
*/

package com.lf.vfslib.s3;

/**
 * Factory for Amazon S3 clients.
 *
 * @author Axel Schwolow
 * @created 2016-01-01
 * @since 1.6
 */
public class S3ClientFactory {


    /**
     * Constructor method (do not use).
     *
     * @throws InstantiationException Error indication
     * @since 1.6
     */
    public S3ClientFactory() throws InstantiationException {

        if (!java.beans.Beans.isDesignTime()) {
            throw new InstantiationException("Do not use this constructor!");
        }
    }

    /**
     * Creates a new connection to the server.
     *
     * @param root        The file system root
     * @param options     The file system options
     * @param credentials The credentials
     * @param vfslib      The parental object, shared instance if <code>null</code>
     * @return The new client
     * @throws org.apache.commons.vfs2.FileSystemException If an error occurs
     * @since 1.8
     */
    /* TODO
    public static S3Client createClient (GenericFileName root, FileSystemOptions options,
                                         BasicAWSCredentials credentials, VFSLib vfslib) throws FileSystemException {

        return S3Client.builder()
                .credentialsProvider(EnvironmentVariableCredentialsProvider.create())
                .region(Region.US_WEST_2)
                .build();
    }
     */
}
